Package fr.gouv.vitam.common.model.administration.schema

# Enum Class SchemaCardinality

java.lang.Object
java.lang.Enum<SchemaCardinality>
fr.gouv.vitam.common.model.administration.schema.SchemaCardinality

All Implemented Interfaces:
  `Serializable`, `Comparable<SchemaCardinality>`, `Constable`

public enum SchemaCardinality extends Enum<SchemaCardinality>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MANY`
  `MANY_REQUIRED`
  `ONE`
  `ONE_REQUIRED`
  `ZERO`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SchemaCardinality`
  `fromValue(String v)`
  `String`
  `value()`
  `static SchemaCardinality`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SchemaCardinality[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ZERO

    public static final SchemaCardinality ZERO

  - ### ONE

    public static final SchemaCardinality ONE

  - ### ONE_REQUIRED

    public static final SchemaCardinality ONE_REQUIRED

  - ### MANY

    public static final SchemaCardinality MANY

  - ### MANY_REQUIRED

    public static final SchemaCardinality MANY_REQUIRED

- ## Method Details

  - ### values

    public static SchemaCardinality[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SchemaCardinality valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static SchemaCardinality fromValue(String v)